This addon is a clone of https://github.com/home-assistant/addons/tree/master/mariadb, to shrink my MariaDB backups by a huge percentage.  
Before: 555.6MiB  
After: 47.3MiB  
This is done by exporting the database as raw SQL code, and gzipping this with the highest level.

# WARNING

A Home Assistant addon does NOT have a method to run a command after restoring a backup. This means you *WILL* get a empty database after recovery, if you don't follow the recovery task below.

I AM NOT RESPONSIBLE FOR LOST DATA!  
I made this for my own use. If you need any help, you can ask me, but no guarantees.


# Recovery


While recovering from a backup:

After mariadb is started, run this in the terminal:

```bash
sudo docker exec -it addon_ef36dc42_mariadb 'zcat /data/backup.sql.gz | mysql homeassistant'
```
This should recover all your data.

# ToDo

Figure out how to restore the data on first run or something like that.

# Suggestion

This is a locally build image because it has some changes. To prevent the `image.tar` being added to the backup, you can use my [hassio-fixes project](https://gitlab.rubend.nl/libraries/homeassistant/hassio-fixes).